API referenceBeta API referenceSearch
Search
Search questions, dashboards and situations, grouped by kind; omit `q` to browse.
Search questions, dashboards and situations, grouped by kind; omit q to browse.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Query Parameters
q?|null
limit_per_group?Limit Per Group
Range
1 <= value <= 10Default
5offset?Offset
Range
0 <= valueDefault
0type?|null
Response Body
application/json
application/json
curl -X GET "https://example.com/search"{ "query": "string", "questions": { "items": [ { "kind": "question", "id": 0, "title": "string", "declarative_title": "string", "created_at": "2019-08-24T14:15:22Z", "question_type": "binary", "resolution_time": "2019-08-24T14:15:22Z", "is_resolved": true, "source": { "kind": "mantic_public" }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846" } ], "has_more": true, "available": true }, "dashboards": { "items": [ { "kind": "dashboard", "id": 0, "title": "string", "question_count": 0, "updated_at": "2019-08-24T14:15:22Z", "source": { "kind": "mantic_public" }, "description": "string", "request_id": "266ea41d-adf5-480b-af50-15b940c2b846" } ], "has_more": true, "available": true }, "situations": { "items": [ { "kind": "situation", "entry_id": "string", "name": "string", "situation_type": "string", "domain": "string", "question_count": 0, "last_evidence_at": "2019-08-24", "source": { "kind": "mantic_public" }, "description": "string", "request_id": "266ea41d-adf5-480b-af50-15b940c2b846" } ], "has_more": true, "available": true }, "total_returned": 0, "order": "string"}